.8086
        include         casm.inc


CODE	segment	byte public
	assume cs:CODE

	start_c_proc		get_str_len
	cli
	les	di,dword ptr [bp+6]
        xor     ax,ax
        mov     al,byte ptr es:[di]
	sti
	end_c_proc		get_str_len ,4


	start_c_proc		get_line_len
	cld
	cli
	les	di,dword ptr [bp+6]
	mov	al,0Ah
	mov	dx,di
	mov	cx,0ffffh
	repne	scasb
	mov	ax,0ffffh
	jne     line_len_exit
		mov	ax,di
		sub	ax,dx
		dec	ax
	line_len_exit:

	sti
	end_c_proc		get_line_len



;****************************************************************************
;	This procedure set up  memory associated with given pointer to given
;	value.Size of the memory cleared is defined by the second parameter.

	start_c_proc		set_mem
	cli
	cld
	les	di,dword ptr [bp+10]		;memory address
	mov	cx,[bp+8]			;memory size

	mov	al,[bp+6]
	rep	stosb

	sti
	end_c_proc		set_mem  ,8

	start_c_proc		move_data
	cli
	cld
	lds	si,dword ptr [bp+12]
	les	di,dword ptr [bp+8]
	mov	cx,[bp+6]
	rep	movsb
	sti
	end_c_proc		move_data  ,10
CODE		ends

public		set_mem
public		move_data
public          get_str_len
public          get_line_len

END