unit xorg;


interface

         procedure      InitGraphics   ( Mode : word);
         procedure      LeaveGraphics ;
         procedure      set_draw_color ( Color : word );
         procedure      set_draw_style ( Style : word );
         procedure      set_line_logic ( Logic : word );
         procedure      set_text_style ( Style : word );
         procedure      set_line (  X0, Y0, X1, Y1 : word );
         procedure      put_string ( S : string;X, Y : word);

         procedure 	set_fill_pattern
         (  Fill_Patt : pointer; Fc , Bc : word );

         procedure 	replace_colors
         (X0, Y0, X1, Y1, Col1, Col2 : word);

         procedure 	rect_fill ( X0, Y0, X1, Y1 : word);
         procedure 	copy_region (X0, Y0, X1, Y1, X, Y : word );

         procedure 	save_region
         ( Act , X0, Y0, X1, Y1 : word;
           Buff0, Buff1, Buff2, Buff3 : pointer);

         procedure      set_text_pattern ( Patt_ptr : pointer);
         procedure 	set_text_color (Fc,Bc : word);

         procedure 	put_icon
         (Icon_ptr : pointer; X, Y, Width, Height : word);

         procedure	set_current_page ( Page : word);
         procedure	set_font ( Font_ptr : pointer);

         procedure      read_byte_block
         (Buff : pointer; X0, Y0, X1, Y1 : word );

         procedure      write_byte_block
         (Buff : pointer; X0, Y0, X1, Y1 : word );

         procedure      transffer_page ( C,D : word );

         procedure      set_char_cell ( Height,StartLine,VDots : word );

implementation

{$L xorg.obj}

         procedure 	InitGraphics           ; external;
         procedure 	LeaveGraphics          ; external;
         procedure      set_draw_color         ; external;
         procedure      set_draw_style         ; external;
         procedure      set_line_logic         ; external;
         procedure      set_text_style         ; external;
         procedure 	set_line               ; external;
         procedure      put_string             ; external;
         procedure 	set_fill_pattern       ; external;
         procedure 	replace_colors         ; external;
         procedure 	rect_fill              ; external;
         procedure 	copy_region            ; external;
         procedure 	save_region            ; external;
         procedure      set_text_pattern       ; external;
         procedure 	set_text_color         ; external;
         procedure 	put_icon               ; external;
         procedure	set_current_page       ; external;
         procedure	set_font               ; external;
         procedure      read_byte_block        ; external;
         procedure      write_byte_block       ; external;
         procedure      transffer_page         ; external;
         procedure      set_char_cell          ; external;




end.
